org.wildfly.swarm.config

## Class Logging<T extends Logging<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Logging<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    LoggingFraction

      public class Logging<T extends Logging<T>>
      extends HashMap

  The configuration of the logging subsystem.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Logging.LoggingResources` Child mutators for Logging

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logging()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `addLoggingApiDependencies()` Indicates whether or not logging API dependencies should be added to deployments during the deployment process.
    `T` | `addLoggingApiDependencies(Boolean value)` Indicates whether or not logging API dependencies should be added to deployments during the deployment process.
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `asyncHandler(AsyncHandler value)` Add the AsyncHandler object to the list of subresources
    `T` | `asyncHandler(AsyncHandlerSupplier supplier)` Install a supplied AsyncHandler object to the list of subresources
    `T` | `asyncHandler(String childKey)` Create and configure a AsyncHandler object to the list of subresources
    `T` | `asyncHandler(String childKey, AsyncHandlerConsumer consumer)` Create and configure a AsyncHandler object to the list of subresources
    `T` | `asyncHandlers(List<AsyncHandler> value)` Add all AsyncHandler objects to this subresource
    `T` | `consoleHandler(ConsoleHandler value)` Add the ConsoleHandler object to the list of subresources
    `T` | `consoleHandler(ConsoleHandlerSupplier supplier)` Install a supplied ConsoleHandler object to the list of subresources
    `T` | `consoleHandler(String childKey)` Create and configure a ConsoleHandler object to the list of subresources
    `T` | `consoleHandler(String childKey, ConsoleHandlerConsumer consumer)` Create and configure a ConsoleHandler object to the list of subresources
    `T` | `consoleHandlers(List<ConsoleHandler> value)` Add all ConsoleHandler objects to this subresource
    `T` | `customFormatter(CustomFormatter value)` Add the CustomFormatter object to the list of subresources
    `T` | `customFormatter(CustomFormatterSupplier supplier)` Install a supplied CustomFormatter object to the list of subresources
    `T` | `customFormatter(String childKey)` Create and configure a CustomFormatter object to the list of subresources
    `T` | `customFormatter(String childKey, CustomFormatterConsumer consumer)` Create and configure a CustomFormatter object to the list of subresources
    `T` | `customFormatters(List<CustomFormatter> value)` Add all CustomFormatter objects to this subresource
    `T` | `customHandler(CustomHandler value)` Add the CustomHandler object to the list of subresources
    `T` | `customHandler(CustomHandlerSupplier supplier)` Install a supplied CustomHandler object to the list of subresources
    `T` | `customHandler(String childKey)` Create and configure a CustomHandler object to the list of subresources
    `T` | `customHandler(String childKey, CustomHandlerConsumer consumer)` Create and configure a CustomHandler object to the list of subresources
    `T` | `customHandlers(List<CustomHandler> value)` Add all CustomHandler objects to this subresource
    `T` | `fileHandler(FileHandler value)` Add the FileHandler object to the list of subresources
    `T` | `fileHandler(FileHandlerSupplier supplier)` Install a supplied FileHandler object to the list of subresources
    `T` | `fileHandler(String childKey)` Create and configure a FileHandler object to the list of subresources
    `T` | `fileHandler(String childKey, FileHandlerConsumer consumer)` Create and configure a FileHandler object to the list of subresources
    `T` | `fileHandlers(List<FileHandler> value)` Add all FileHandler objects to this subresource
    `String` | `getKey()`
    `T` | `logFile(LogFile value)` Add the LogFile object to the list of subresources
    `T` | `logFile(LogFileSupplier supplier)` Install a supplied LogFile object to the list of subresources
    `T` | `logFile(String childKey)` Create and configure a LogFile object to the list of subresources
    `T` | `logFile(String childKey, LogFileConsumer consumer)` Create and configure a LogFile object to the list of subresources
    `T` | `logFiles(List<LogFile> value)` Add all LogFile objects to this subresource
    `T` | `logger(Logger value)` Add the Logger object to the list of subresources
    `T` | `logger(LoggerSupplier supplier)` Install a supplied Logger object to the list of subresources
    `T` | `logger(String childKey)` Create and configure a Logger object to the list of subresources
    `T` | `logger(String childKey, LoggerConsumer consumer)` Create and configure a Logger object to the list of subresources
    `T` | `loggers(List<Logger> value)` Add all Logger objects to this subresource
    `T` | `loggingProfile(LoggingProfile value)` Add the LoggingProfile object to the list of subresources
    `T` | `loggingProfile(LoggingProfileSupplier supplier)` Install a supplied LoggingProfile object to the list of subresources
    `T` | `loggingProfile(String childKey)` Create and configure a LoggingProfile object to the list of subresources
    `T` | `loggingProfile(String childKey, LoggingProfileConsumer consumer)` Create and configure a LoggingProfile object to the list of subresources
    `T` | `loggingProfiles(List<LoggingProfile> value)` Add all LoggingProfile objects to this subresource
    `T` | `patternFormatter(PatternFormatter value)` Add the PatternFormatter object to the list of subresources
    `T` | `patternFormatter(PatternFormatterSupplier supplier)` Install a supplied PatternFormatter object to the list of subresources
    `T` | `patternFormatter(String childKey)` Create and configure a PatternFormatter object to the list of subresources
    `T` | `patternFormatter(String childKey, PatternFormatterConsumer consumer)` Create and configure a PatternFormatter object to the list of subresources
    `T` | `patternFormatters(List<PatternFormatter> value)` Add all PatternFormatter objects to this subresource
    `T` | `periodicRotatingFileHandler(PeriodicRotatingFileHandler value)` Add the PeriodicRotatingFileHandler object to the list of subresources
    `T` | `periodicRotatingFileHandler(PeriodicRotatingFileHandlerSupplier supplier)` Install a supplied PeriodicRotatingFileHandler object to the list of subresources
    `T` | `periodicRotatingFileHandler(String childKey)` Create and configure a PeriodicRotatingFileHandler object to the list of subresources
    `T` | `periodicRotatingFileHandler(String childKey, PeriodicRotatingFileHandlerConsumer consumer)` Create and configure a PeriodicRotatingFileHandler object to the list of subresources
    `T` | `periodicRotatingFileHandlers(List<PeriodicRotatingFileHandler> value)` Add all PeriodicRotatingFileHandler objects to this subresource
    `T` | `periodicSizeRotatingFileHandler(PeriodicSizeRotatingFileHandler value)` Add the PeriodicSizeRotatingFileHandler object to the list of subresources
    `T` | `periodicSizeRotatingFileHandler(PeriodicSizeRotatingFileHandlerSupplier supplier)` Install a supplied PeriodicSizeRotatingFileHandler object to the list of subresources
    `T` | `periodicSizeRotatingFileHandler(String childKey)` Create and configure a PeriodicSizeRotatingFileHandler object to the list of subresources
    `T` | `periodicSizeRotatingFileHandler(String childKey, PeriodicSizeRotatingFileHandlerConsumer consumer)` Create and configure a PeriodicSizeRotatingFileHandler object to the list of subresources
    `T` | `periodicSizeRotatingFileHandlers(List<PeriodicSizeRotatingFileHandler> value)` Add all PeriodicSizeRotatingFileHandler objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `rootLogger()` Defines the root logger for this log context.
    `T` | `rootLogger(RootLogger value)` Defines the root logger for this log context.
    `T` | `rootLogger(RootLoggerConsumer consumer)` Defines the root logger for this log context.
    `T` | `rootLogger(RootLoggerSupplier supplier)` Defines the root logger for this log context.
    `T` | `sizeRotatingFileHandler(SizeRotatingFileHandler value)` Add the SizeRotatingFileHandler object to the list of subresources
    `T` | `sizeRotatingFileHandler(SizeRotatingFileHandlerSupplier supplier)` Install a supplied SizeRotatingFileHandler object to the list of subresources
    `T` | `sizeRotatingFileHandler(String childKey)` Create and configure a SizeRotatingFileHandler object to the list of subresources
    `T` | `sizeRotatingFileHandler(String childKey, SizeRotatingFileHandlerConsumer consumer)` Create and configure a SizeRotatingFileHandler object to the list of subresources
    `T` | `sizeRotatingFileHandlers(List<SizeRotatingFileHandler> value)` Add all SizeRotatingFileHandler objects to this subresource
    `Logging.LoggingResources` | `subresources()`
    `T` | `syslogHandler(String childKey)` Create and configure a SyslogHandler object to the list of subresources
    `T` | `syslogHandler(String childKey, SyslogHandlerConsumer consumer)` Create and configure a SyslogHandler object to the list of subresources
    `T` | `syslogHandler(SyslogHandler value)` Add the SyslogHandler object to the list of subresources
    `T` | `syslogHandler(SyslogHandlerSupplier supplier)` Install a supplied SyslogHandler object to the list of subresources
    `T` | `syslogHandlers(List<SyslogHandler> value)` Add all SyslogHandler objects to this subresource
    `Boolean` | `useDeploymentLoggingConfig()` Indicates whether or not deployments should use a logging configuration file found in the deployment to configure the log manager.
    `T` | `useDeploymentLoggingConfig(Boolean value)` Indicates whether or not deployments should use a logging configuration file found in the deployment to configure the log manager.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Logging

          public Logging()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Logging.LoggingResources subresources()

    - #### periodicRotatingFileHandlers

          public T periodicRotatingFileHandlers(List<PeriodicRotatingFileHandler> value)

      Add all PeriodicRotatingFileHandler objects to this subresource
      Parameters:
        `value` - List of PeriodicRotatingFileHandler objects.
      Returns:
        this

    - #### periodicRotatingFileHandler

          public T periodicRotatingFileHandler(PeriodicRotatingFileHandler value)

      Add the PeriodicRotatingFileHandler object to the list of subresources
      Parameters:
        `value` - The PeriodicRotatingFileHandler to add
      Returns:
        this

    - #### periodicRotatingFileHandler

          public T periodicRotatingFileHandler(String childKey,
                                               PeriodicRotatingFileHandlerConsumer consumer)

      Create and configure a PeriodicRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the PeriodicRotatingFileHandler resource
        `config` - The PeriodicRotatingFileHandlerConsumer to use
      Returns:
        this

    - #### periodicRotatingFileHandler

          public T periodicRotatingFileHandler(String childKey)

      Create and configure a PeriodicRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the PeriodicRotatingFileHandler resource
      Returns:
        this

    - #### periodicRotatingFileHandler

          public T periodicRotatingFileHandler(PeriodicRotatingFileHandlerSupplier supplier)

      Install a supplied PeriodicRotatingFileHandler object to the list of subresources

    - #### loggers

          public T loggers(List<Logger> value)

      Add all Logger objects to this subresource
      Parameters:
        `value` - List of Logger objects.
      Returns:
        this

    - #### logger

          public T logger(Logger value)

      Add the Logger object to the list of subresources
      Parameters:
        `value` - The Logger to add
      Returns:
        this

    - #### logger

          public T logger(String childKey,
                          LoggerConsumer consumer)

      Create and configure a Logger object to the list of subresources
      Parameters:
        `key` - The key for the Logger resource
        `config` - The LoggerConsumer to use
      Returns:
        this

    - #### logger

          public T logger(String childKey)

      Create and configure a Logger object to the list of subresources
      Parameters:
        `key` - The key for the Logger resource
      Returns:
        this

    - #### logger

          public T logger(LoggerSupplier supplier)

      Install a supplied Logger object to the list of subresources

    - #### asyncHandlers

          public T asyncHandlers(List<AsyncHandler> value)

      Add all AsyncHandler objects to this subresource
      Parameters:
        `value` - List of AsyncHandler objects.
      Returns:
        this

    - #### asyncHandler

          public T asyncHandler(AsyncHandler value)

      Add the AsyncHandler object to the list of subresources
      Parameters:
        `value` - The AsyncHandler to add
      Returns:
        this

    - #### asyncHandler

          public T asyncHandler(String childKey,
                                AsyncHandlerConsumer consumer)

      Create and configure a AsyncHandler object to the list of subresources
      Parameters:
        `key` - The key for the AsyncHandler resource
        `config` - The AsyncHandlerConsumer to use
      Returns:
        this

    - #### asyncHandler

          public T asyncHandler(String childKey)

      Create and configure a AsyncHandler object to the list of subresources
      Parameters:
        `key` - The key for the AsyncHandler resource
      Returns:
        this

    - #### asyncHandler

          public T asyncHandler(AsyncHandlerSupplier supplier)

      Install a supplied AsyncHandler object to the list of subresources

    - #### fileHandlers

          public T fileHandlers(List<FileHandler> value)

      Add all FileHandler objects to this subresource
      Parameters:
        `value` - List of FileHandler objects.
      Returns:
        this

    - #### fileHandler

          public T fileHandler(FileHandler value)

      Add the FileHandler object to the list of subresources
      Parameters:
        `value` - The FileHandler to add
      Returns:
        this

    - #### fileHandler

          public T fileHandler(String childKey,
                               FileHandlerConsumer consumer)

      Create and configure a FileHandler object to the list of subresources
      Parameters:
        `key` - The key for the FileHandler resource
        `config` - The FileHandlerConsumer to use
      Returns:
        this

    - #### fileHandler

          public T fileHandler(String childKey)

      Create and configure a FileHandler object to the list of subresources
      Parameters:
        `key` - The key for the FileHandler resource
      Returns:
        this

    - #### fileHandler

          public T fileHandler(FileHandlerSupplier supplier)

      Install a supplied FileHandler object to the list of subresources

    - #### sizeRotatingFileHandlers

          public T sizeRotatingFileHandlers(List<SizeRotatingFileHandler> value)

      Add all SizeRotatingFileHandler objects to this subresource
      Parameters:
        `value` - List of SizeRotatingFileHandler objects.
      Returns:
        this

    - #### sizeRotatingFileHandler

          public T sizeRotatingFileHandler(SizeRotatingFileHandler value)

      Add the SizeRotatingFileHandler object to the list of subresources
      Parameters:
        `value` - The SizeRotatingFileHandler to add
      Returns:
        this

    - #### sizeRotatingFileHandler

          public T sizeRotatingFileHandler(String childKey,
                                           SizeRotatingFileHandlerConsumer consumer)

      Create and configure a SizeRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the SizeRotatingFileHandler resource
        `config` - The SizeRotatingFileHandlerConsumer to use
      Returns:
        this

    - #### sizeRotatingFileHandler

          public T sizeRotatingFileHandler(String childKey)

      Create and configure a SizeRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the SizeRotatingFileHandler resource
      Returns:
        this

    - #### sizeRotatingFileHandler

          public T sizeRotatingFileHandler(SizeRotatingFileHandlerSupplier supplier)

      Install a supplied SizeRotatingFileHandler object to the list of subresources

    - #### syslogHandlers

          public T syslogHandlers(List<SyslogHandler> value)

      Add all SyslogHandler objects to this subresource
      Parameters:
        `value` - List of SyslogHandler objects.
      Returns:
        this

    - #### syslogHandler

          public T syslogHandler(SyslogHandler value)

      Add the SyslogHandler object to the list of subresources
      Parameters:
        `value` - The SyslogHandler to add
      Returns:
        this

    - #### syslogHandler

          public T syslogHandler(String childKey,
                                 SyslogHandlerConsumer consumer)

      Create and configure a SyslogHandler object to the list of subresources
      Parameters:
        `key` - The key for the SyslogHandler resource
        `config` - The SyslogHandlerConsumer to use
      Returns:
        this

    - #### syslogHandler

          public T syslogHandler(String childKey)

      Create and configure a SyslogHandler object to the list of subresources
      Parameters:
        `key` - The key for the SyslogHandler resource
      Returns:
        this

    - #### syslogHandler

          public T syslogHandler(SyslogHandlerSupplier supplier)

      Install a supplied SyslogHandler object to the list of subresources

    - #### loggingProfiles

          public T loggingProfiles(List<LoggingProfile> value)

      Add all LoggingProfile objects to this subresource
      Parameters:
        `value` - List of LoggingProfile objects.
      Returns:
        this

    - #### loggingProfile

          public T loggingProfile(LoggingProfile value)

      Add the LoggingProfile object to the list of subresources
      Parameters:
        `value` - The LoggingProfile to add
      Returns:
        this

    - #### loggingProfile

          public T loggingProfile(String childKey,
                                  LoggingProfileConsumer consumer)

      Create and configure a LoggingProfile object to the list of subresources
      Parameters:
        `key` - The key for the LoggingProfile resource
        `config` - The LoggingProfileConsumer to use
      Returns:
        this

    - #### loggingProfile

          public T loggingProfile(String childKey)

      Create and configure a LoggingProfile object to the list of subresources
      Parameters:
        `key` - The key for the LoggingProfile resource
      Returns:
        this

    - #### loggingProfile

          public T loggingProfile(LoggingProfileSupplier supplier)

      Install a supplied LoggingProfile object to the list of subresources

    - #### customFormatters

          public T customFormatters(List<CustomFormatter> value)

      Add all CustomFormatter objects to this subresource
      Parameters:
        `value` - List of CustomFormatter objects.
      Returns:
        this

    - #### customFormatter

          public T customFormatter(CustomFormatter value)

      Add the CustomFormatter object to the list of subresources
      Parameters:
        `value` - The CustomFormatter to add
      Returns:
        this

    - #### customFormatter

          public T customFormatter(String childKey,
                                   CustomFormatterConsumer consumer)

      Create and configure a CustomFormatter object to the list of subresources
      Parameters:
        `key` - The key for the CustomFormatter resource
        `config` - The CustomFormatterConsumer to use
      Returns:
        this

    - #### customFormatter

          public T customFormatter(String childKey)

      Create and configure a CustomFormatter object to the list of subresources
      Parameters:
        `key` - The key for the CustomFormatter resource
      Returns:
        this

    - #### customFormatter

          public T customFormatter(CustomFormatterSupplier supplier)

      Install a supplied CustomFormatter object to the list of subresources

    - #### periodicSizeRotatingFileHandlers

          public T periodicSizeRotatingFileHandlers(List<PeriodicSizeRotatingFileHandler> value)

      Add all PeriodicSizeRotatingFileHandler objects to this subresource
      Parameters:
        `value` - List of PeriodicSizeRotatingFileHandler objects.
      Returns:
        this

    - #### periodicSizeRotatingFileHandler

          public T periodicSizeRotatingFileHandler(PeriodicSizeRotatingFileHandler value)

      Add the PeriodicSizeRotatingFileHandler object to the list of subresources
      Parameters:
        `value` - The PeriodicSizeRotatingFileHandler to add
      Returns:
        this

    - #### periodicSizeRotatingFileHandler

          public T periodicSizeRotatingFileHandler(String childKey,
                                                   PeriodicSizeRotatingFileHandlerConsumer consumer)

      Create and configure a PeriodicSizeRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the PeriodicSizeRotatingFileHandler resource
        `config` - The PeriodicSizeRotatingFileHandlerConsumer to use
      Returns:
        this

    - #### periodicSizeRotatingFileHandler

          public T periodicSizeRotatingFileHandler(String childKey)

      Create and configure a PeriodicSizeRotatingFileHandler object to the list of subresources
      Parameters:
        `key` - The key for the PeriodicSizeRotatingFileHandler resource
      Returns:
        this

    - #### periodicSizeRotatingFileHandler

          public T periodicSizeRotatingFileHandler(PeriodicSizeRotatingFileHandlerSupplier supplier)

      Install a supplied PeriodicSizeRotatingFileHandler object to the list of subresources

    - #### consoleHandlers

          public T consoleHandlers(List<ConsoleHandler> value)

      Add all ConsoleHandler objects to this subresource
      Parameters:
        `value` - List of ConsoleHandler objects.
      Returns:
        this

    - #### consoleHandler

          public T consoleHandler(ConsoleHandler value)

      Add the ConsoleHandler object to the list of subresources
      Parameters:
        `value` - The ConsoleHandler to add
      Returns:
        this

    - #### consoleHandler

          public T consoleHandler(String childKey,
                                  ConsoleHandlerConsumer consumer)

      Create and configure a ConsoleHandler object to the list of subresources
      Parameters:
        `key` - The key for the ConsoleHandler resource
        `config` - The ConsoleHandlerConsumer to use
      Returns:
        this

    - #### consoleHandler

          public T consoleHandler(String childKey)

      Create and configure a ConsoleHandler object to the list of subresources
      Parameters:
        `key` - The key for the ConsoleHandler resource
      Returns:
        this

    - #### consoleHandler

          public T consoleHandler(ConsoleHandlerSupplier supplier)

      Install a supplied ConsoleHandler object to the list of subresources

    - #### logFiles

          public T logFiles(List<LogFile> value)

      Add all LogFile objects to this subresource
      Parameters:
        `value` - List of LogFile objects.
      Returns:
        this

    - #### logFile

          public T logFile(LogFile value)

      Add the LogFile object to the list of subresources
      Parameters:
        `value` - The LogFile to add
      Returns:
        this

    - #### logFile

          public T logFile(String childKey,
                           LogFileConsumer consumer)

      Create and configure a LogFile object to the list of subresources
      Parameters:
        `key` - The key for the LogFile resource
        `config` - The LogFileConsumer to use
      Returns:
        this

    - #### logFile

          public T logFile(String childKey)

      Create and configure a LogFile object to the list of subresources
      Parameters:
        `key` - The key for the LogFile resource
      Returns:
        this

    - #### logFile

          public T logFile(LogFileSupplier supplier)

      Install a supplied LogFile object to the list of subresources

    - #### patternFormatters

          public T patternFormatters(List<PatternFormatter> value)

      Add all PatternFormatter objects to this subresource
      Parameters:
        `value` - List of PatternFormatter objects.
      Returns:
        this

    - #### patternFormatter

          public T patternFormatter(PatternFormatter value)

      Add the PatternFormatter object to the list of subresources
      Parameters:
        `value` - The PatternFormatter to add
      Returns:
        this

    - #### patternFormatter

          public T patternFormatter(String childKey,
                                    PatternFormatterConsumer consumer)

      Create and configure a PatternFormatter object to the list of subresources
      Parameters:
        `key` - The key for the PatternFormatter resource
        `config` - The PatternFormatterConsumer to use
      Returns:
        this

    - #### patternFormatter

          public T patternFormatter(String childKey)

      Create and configure a PatternFormatter object to the list of subresources
      Parameters:
        `key` - The key for the PatternFormatter resource
      Returns:
        this

    - #### patternFormatter

          public T patternFormatter(PatternFormatterSupplier supplier)

      Install a supplied PatternFormatter object to the list of subresources

    - #### customHandlers

          public T customHandlers(List<CustomHandler> value)

      Add all CustomHandler objects to this subresource
      Parameters:
        `value` - List of CustomHandler objects.
      Returns:
        this

    - #### customHandler

          public T customHandler(CustomHandler value)

      Add the CustomHandler object to the list of subresources
      Parameters:
        `value` - The CustomHandler to add
      Returns:
        this

    - #### customHandler

          public T customHandler(String childKey,
                                 CustomHandlerConsumer consumer)

      Create and configure a CustomHandler object to the list of subresources
      Parameters:
        `key` - The key for the CustomHandler resource
        `config` - The CustomHandlerConsumer to use
      Returns:
        this

    - #### customHandler

          public T customHandler(String childKey)

      Create and configure a CustomHandler object to the list of subresources
      Parameters:
        `key` - The key for the CustomHandler resource
      Returns:
        this

    - #### customHandler

          public T customHandler(CustomHandlerSupplier supplier)

      Install a supplied CustomHandler object to the list of subresources

    - #### rootLogger

          public T rootLogger(RootLogger value)

      Defines the root logger for this log context.

    - #### rootLogger

          public T rootLogger(RootLoggerConsumer consumer)

      Defines the root logger for this log context.

    - #### rootLogger

          public T rootLogger()

      Defines the root logger for this log context.

    - #### rootLogger

          public T rootLogger(RootLoggerSupplier supplier)

      Defines the root logger for this log context.

    - #### addLoggingApiDependencies

          public Boolean addLoggingApiDependencies()

      Indicates whether or not logging API dependencies should be added to deployments during the deployment process. A value of true will add the dependencies to the deployment. A value of false will skip the deployment from being processed for logging API dependencies.

    - #### addLoggingApiDependencies

          public T addLoggingApiDependencies(Boolean value)

      Indicates whether or not logging API dependencies should be added to deployments during the deployment process. A value of true will add the dependencies to the deployment. A value of false will skip the deployment from being processed for logging API dependencies.

    - #### useDeploymentLoggingConfig

          public Boolean useDeploymentLoggingConfig()

      Indicates whether or not deployments should use a logging configuration file found in the deployment to configure the log manager. If set to true and a logging configuration file was found in the deployments META-INF or WEB-INF/classes directory, then a log manager will be configured with those settings. If set false the servers logging configuration will be used regardless of any logging configuration files supplied in the deployment.

    - #### useDeploymentLoggingConfig

          public T useDeploymentLoggingConfig(Boolean value)

      Indicates whether or not deployments should use a logging configuration file found in the deployment to configure the log manager. If set to true and a logging configuration file was found in the deployments META-INF or WEB-INF/classes directory, then a log manager will be configured with those settings. If set false the servers logging configuration will be used regardless of any logging configuration files supplied in the deployment.

Copyright © 2017 JBoss by Red Hat. All rights reserved.